# IShPartUtilities Struct Reference
[Shell Utilities]

Utilities for creating parts. More...

Inheritance diagram for IShPartUtilities:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | CreatePartByName (IMFPart **outPart, TMCString &inPartName, IDType inPartID, IDType inPartExtension)=0
virtual MCCOMErr MCCOMAPI | CreatePartByResource (IMFPart **outPart, EMFResources inResType, ResourceID inResID)=0
virtual void MCCOMAPI | CreateDialogByResource (IMFDialogPart **outDialog, ResourceID inResID, boolean inResIsNode, const TPartFindingInfo *ioPart=NULL, const TMCArray< TPartFindingInfo > *ioPartArray=NULL)=0
virtual void MCCOMAPI | CreateToolGroup (IMFToolGroup **outGroup, const ResourceID inResourceID, const EMFResources inResourceKind, const IDType inFamilyID, const real32 overrideColorCoef=1.0f)=0
virtual void MCCOMAPI | CreateIMFWindow (IMFWindow **outWindow, const TMCWindowInfo &inWindowInfo)=0
virtual void MCCOMAPI | CreateShowBackBufferWindow (IShowBackBufferWindow **outWindow, const TMCWindowInfo &inWindowInfo)=0
virtual void MCCOMAPI | Alert (const TMCString &message)=0

## Detailed Description

Utilities for creating parts.

## Member Function Documentation

virtual void MCCOMAPI IShPartUtilities::Alert | ( | const TMCString & | message | ) | `[pure virtual]`

Display an altert message.

Note:
  Also available: IShUtilities::DoAlert() and IShUtilities::Alert()

Parameters:

  | message | Text of the message to display to the user.

virtual void MCCOMAPI IShPartUtilities::CreateDialogByResource | ( | IMFDialogPart ** | outDialog,
|  | ResourceID | inResID,
|  | boolean | inResIsNode,
|  | const TPartFindingInfo * | ioPart = `NULL`,
|  | const TMCArray< TPartFindingInfo > * | ioPartArray = `NULL` |
| ) |  |  | `[pure virtual]`

Creates a dialog from resources and optionally looks for some parts inside.

Parameters:

  | outDialog | the new dialog
  | inResID | the id of the resource to load
  | inResIsNode | is the resource a node (otherwise its a dialog)
  | ioPart | optional part that you want to find in the resource (if you only want one)
  | ioPartArray | optional parts that you want to find in the resource(if you want many, in which case set ioPart to null)

virtual void MCCOMAPI IShPartUtilities::CreateIMFWindow | ( | IMFWindow ** | outWindow,
|  | const TMCWindowInfo & | inWindowInfo |
| ) |  |  | `[pure virtual]`

Creates a window according to the parameters in inWindowInfo.

Parameters:

  | outWindow | Returns a pointer to the window created
  | inWindowInfo | Window information for the window to create

virtual MCCOMErr MCCOMAPI IShPartUtilities::CreatePartByName | ( | IMFPart ** | outPart,
|  | TMCString & | inPartName,
|  | IDType | inPartID,
|  | IDType | inPartExtension |
| ) |  |  | `[pure virtual]`

Creates a part by class name. Also allows you to specify the ID of the part extension to associate with this part, if any.

Parameters:

  | outPart | Returns a pointer to the part created
  | inPartName | String to specify name of part to create (ie "TMFCollapsiblePart")
  | inPartID | ID to assign to the part (ie 'sndC')
  | inPartExtension | ID of the part extension to create for this part (ie 'seqC')

virtual MCCOMErr MCCOMAPI IShPartUtilities::CreatePartByResource | ( | IMFPart ** | outPart,
|  | EMFResources | inResType,
|  | ResourceID | inResID |
| ) |  |  | `[pure virtual]`

Creates a part from a resource. Looks in the current resource file for a resource matching inResType with the ID specified by inResID.

See also:
  CWhileInCompResFile

Parameters:

  | outPart | Returns a pointer to the part created
  | inResType | Type of resource to create (See MFPartTypes.h)
  | inResID | Resource ID of the part to create

virtual void MCCOMAPI IShPartUtilities::CreateShowBackBufferWindow | ( | IShowBackBufferWindow ** | outWindow,
|  | const TMCWindowInfo & | inWindowInfo |
| ) |  |  | `[pure virtual]`

Creates a ShowBackBufferWindow, which is generally used only by the application. Do not call.

Parameters:

  | outWindow | Returns a pointer to the window created
  | inWindowInfo | Window information for the window to create

virtual void MCCOMAPI IShPartUtilities::CreateToolGroup | ( | IMFToolGroup ** | outGroup,
|  | const ResourceID | inResourceID,
|  | const EMFResources | inResourceKind,
|  | const IDType | inFamilyID,
|  | const real32 | overrideColorCoef = `1.0f` |
| ) |  |  | `[pure virtual]`

Creates a tool group based based on a resource (only 'TBAR' or 'Wind' for now).

See also:
  CWhileInCompResFile

Parameters:

  | outGroup | Returns a pointer to the group created
  | inResourceID | Resource ID to load
  | inResourceKind | The kind of resource to load (kMFToolbarResourceType or kMFWindowResourceType)
  | inFamilyID | Family ID to assign to the group.
  | overrideColorCoef | Sets the color coefficient that will be applied to the icons of the group

The documentation for this struct was generated from the following file:

- IShPartUtilities.h